#!/bin/sh
#
# Generate a fake email using the given word list. Requires bash.

WORDLIST=$1
MAILCOUNT=$2
[ -z "$MAILCOUNT" ] && MAILCOUNT=1

LISTSIZE=`wc -l < $WORDLIST | tr -d ' '`

function random_word () {
	local MIN MAX NUM WORD COUNT OUT

	MIN=$1
	MAX=$2

	[ -z "$MIN" ] && MIN=1
	[ -z "$MAX" ] && MAX=$MIN

	if [ $MAX -gt $MIN ]; then
		NUM=$[$MIN + $[$RANDOM % $[$MAX - $MIN]]];
	else
		NUM=$MIN
	fi

	OUT=""

	COUNT=0
	while [ $COUNT -lt $NUM ]; do
		COUNT=$[1+$COUNT]
		WORD=`sed -n "$[1+$[$RANDOM % $LISTSIZE]]p" < $WORDLIST`
		OUT="$OUT $WORD"
	done

	echo $OUT
}

function random_item () {
	local NUMITEMS CHOSEN
	NUMITEMS=`echo $* | wc -w | tr -d ' '`
	CHOSEN=$[1+$[$RANDOM % $NUMITEMS]]
	echo $* | awk '{print $'$CHOSEN';}'
}


MAILNUMBER=0

while [ $MAILNUMBER -lt $MAILCOUNT ]; do

	FROMADDR=`random_word`.`random_word`@`random_word`.`random_item co.uk com net org org.uk`

	cat <<EOF
From $FROMADDR  `date`
Return-Path: <$FROMADDR>
From: <$FROMADDR>
To: you@your.com
Date: `date`
Subject: `random_word 2 10`

`random_word 20 400 | fmt`

EOF

	MAILNUMBER=$[1+$MAILNUMBER]
done

# EOF
