%define USE_MYSQL 1

Summary: Quick Spam Filter
Name: qsf
Version: 1.0.6
Release: 1
Copyright: Artistic
Group: Development/Tools
Source: http://www.ivarch.com/programs/sources/qsf-1.0.6.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

%if "%USE_MYSQL" == "1"
%package mysql
Summary: Quick Spam Filter (MySQL backend)
Group: Development/Tools

%description mysql
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

This is the MySQL backend version.
%endif

%prep
%setup
mkdir normal
cd normal
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-internal-db
cd ..
%if "%USE_MYSQL" == "1"
mkdir mysql
cd mysql
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-mysql
cd ..
%endif

%build
make -C normal
%if "%USE_MYSQL" == "1"
make -C mysql
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
[ -e "$RPM_BUILD_ROOT" ] || mkdir -m 755 "$RPM_BUILD_ROOT"
make -C normal install DESTDIR="$RPM_BUILD_ROOT"
%if "%USE_MYSQL" == "1"
cp mysql/qsf "$RPM_BUILD_ROOT"/usr/bin/qsf-mysql
chmod 755 "$RPM_BUILD_ROOT"/usr/bin/qsf-mysql
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%pre

%post

%preun

%postun

%files
%defattr(-, root, root)
/usr/bin/qsf
%docdir /usr/share/man/man1
/usr/share/man/man1/*
%doc README doc/NEWS doc/TODO doc/COPYING doc/postfix-howto extra/*.sh

%if "%USE_MYSQL" == "1"
%files mysql
%defattr(-, root, root)
/usr/bin/qsf-mysql
%endif

%changelog
* Tue Jun 22 2004 Andrew Wood <andrew.wood@ivarch.com>
- A new verbosity option to add errors and information as message headers;
- an option to output stars like SpamAssassin was added;
- the allow-list can be queried using an address read from an email; and
- a system-wide filtering HOWTO was added.

* Tue Apr 27 2004 Andrew Wood <andrew.wood@ivarch.com>
- More explanation of tokenisation, and a new troubleshooting section added
  to the manual.

* Fri Mar 12 2004 Andrew Wood <andrew.wood@ivarch.com>
- Code cleanup, many new filters, and some command line syntax improvements.

* Fri Jan 16 2004 Andrew Wood <andrew.wood@ivarch.com>
- A new option to query and update the allow-list directly was added;
- the spam threshold level can be now altered;
- a second "global" database can now be used; and
- some minor bug fixes were made.

* Mon Jan  5 2004 Andrew Wood <andrew.wood@ivarch.com>
- The tokeniser was improved further to recognise distinct URLs and compress whitespace.
- Additional filters for IP-based URLs and virus attachments were added.

* Sat Dec 27 2003 Andrew Wood <andrew.wood@ivarch.com>
- Minor cosmetic fixes were made for non-Linux systems.
- Speed improvements have been made in the binary tree backend database.

* Fri Nov 14 2003 Andrew Wood <andrew.wood@ivarch.com>
- Added "-mysql" subpackage for optional MySQL backend

* Thu Aug 21 2003 Andrew Wood <andrew.wood@ivarch.com>
- Added package description

* Sat Jan 11 2003 Andrew Wood <andrew.wood@ivarch.com>
- First draft of spec file created
